package cn.com.poc.common.utils;

import java.io.*;

public class ReadJsonData {
    /**
     * 将本地文本中的内容读取到string字符串
     * 该方法仅在测试的时候使用。
     *
     * @param filePathName 文件路径 如 ：C://新建文本文档(4).txt
     * @return 文件中的字符串
     * @throws IOException
     */
    @Deprecated
    public static String readJsonData(String filePathName) throws IOException {
        StringBuffer strBuffer = new StringBuffer();
        File myFile = new File(filePathName);
        if (!myFile.exists()) {
            System.err.println("不能找到文件" + filePathName + "，请检查文件地址");
        }
        BufferedReader in = null;
        try {
            in = new BufferedReader(new InputStreamReader(new FileInputStream(filePathName), "UTF-8"));  // 创建一个使用默认大小输入缓冲区的缓冲字符输入流。
            String str;
            while ((str = in.readLine()) != null) {
                strBuffer.append(str);  //new String(str,"UTF-8")
            }
        } catch (IOException e) {
            e.getStackTrace();
        } finally {
            if (in != null) {
                in.close();
            }
        }
        return strBuffer.toString();
    }
}
